/*
 * BEWARE BEWARE BEWARE BEWARE BEWARE BEWARE BEWARE BEWARE BEWARE
 * This file has been auto-generated by the confdc compiler.
 * Source: ../load-dir/itential-demo-port-turn-up.fxs
 * BEWARE BEWARE BEWARE BEWARE BEWARE BEWARE BEWARE BEWARE BEWARE
 */

package com.itential.demo.portturnup.namespaces;

import com.tailf.conf.ConfNamespace;

/** Autogenerated namespace class for YANG module itential-demo-port-turn-up.yang */
public class itentialDemoPortTurnUp extends ConfNamespace {
    public static final int hash = 493914389;
    public int hash() {
        return itentialDemoPortTurnUp.hash;
    }

    public static final String id = "http://com/itential/demo/portturnup";
    public String id() {
        return itentialDemoPortTurnUp.id;
    }

    public static final String uri = "http://com/itential/demo/portturnup";
    public String uri() {
        return itentialDemoPortTurnUp.uri;
    }

    public static final String prefix = "itential-demo-port-turn-up";
    public String prefix() {
        return itentialDemoPortTurnUp.prefix;
    }

    public itentialDemoPortTurnUp() {}

    public static int stringToHash(String str) {
        return ConfNamespace.stringToHash(str);
    }

    public static String hashToString(int hash) {
        return ConfNamespace.hashToString(hash);
    }

    public static final int    _discard_non_service_config = 441364055;
    public static final String _discard_non_service_config_ = "discard-non-service-config";
    public static final int    _age_spec = 1564313084;
    public static final String _age_spec_ = "age-spec";
    public static final int    _lsa_node = 919917514;
    public static final String _lsa_node_ = "lsa-node";
    public static final int    _config_data = 294526531;
    public static final String _config_data_ = "config-data";
    public static final int    _clear = 634788371;
    public static final String _clear_ = "clear";
    public static final int    _touch = 1217123569;
    public static final String _touch_ = "touch";
    public static final int    _queue_item = 1872384595;
    public static final String _queue_item_ = "queue-item";
    public static final int    _native = 472211213;
    public static final String _native_ = "native";
    public static final int    _hours = 1625129637;
    public static final String _hours_ = "hours";
    public static final int    _name = 1998270519;
    public static final String _name_ = "name";
    public static final int    _get_modifications = 1195376060;
    public static final String _get_modifications_ = "get-modifications";
    public static final int    _level = 2112619197;
    public static final String _level_ = "level";
    public static final int    _description = 202559156;
    public static final String _description_ = "description";
    public static final int    _time_out_choice = 1405068132;
    public static final String _time_out_choice_ = "time-out-choice";
    public static final int    _no_overwrite = 2064525500;
    public static final String _no_overwrite_ = "no-overwrite";
    public static final int    _deep = 28591482;
    public static final String _deep_ = "deep";
    public static final int    _ignore_refcount = 911461978;
    public static final String _ignore_refcount_ = "ignore-refcount";
    public static final int    _re_deploy = 1952857006;
    public static final String _re_deploy_ = "re-deploy";
    public static final int    _case_xml = 1045595144;
    public static final String _case_xml_ = "case-xml";
    public static final int    _log_entry = 1675303342;
    public static final String _log_entry_ = "log-entry";
    public static final int    _no_networking = 479600569;
    public static final String _no_networking_ = "no-networking";
    public static final int    _cleared_by_admin = 1307536695;
    public static final String _cleared_by_admin_ = "cleared-by-admin";
    public static final int    _no_lsa = 1557783121;
    public static final String _no_lsa_ = "no-lsa";
    public static final int    _c_non_service_config = 163842291;
    public static final String _c_non_service_config_ = "c-non-service-config";
    public static final int    _devices = 270307409;
    public static final String _devices_ = "devices";
    public static final int    _service_id = 1973115602;
    public static final String _service_id_ = "service-id";
    public static final int    _device_list = 96950231;
    public static final String _device_list_ = "device-list";
    public static final int    _result_xml = 558977045;
    public static final String _result_xml_ = "result-xml";
    public static final int    _lsa_service_list = 543064759;
    public static final String _lsa_service_list_ = "lsa-service-list";
    public static final int    _when = 60139460;
    public static final String _when_ = "when";
    public static final int    _purged_log_entries = 545309241;
    public static final String _purged_log_entries_ = "purged-log-entries";
    public static final int    _suppress_positive_result = 882831018;
    public static final String _suppress_positive_result_ = "suppress-positive-result";
    public static final int    _admin_clear = 1581469852;
    public static final String _admin_clear_ = "admin-clear";
    public static final int    _delete = 593837355;
    public static final String _delete_ = "delete";
    public static final int    _time = 190171445;
    public static final String _time_ = "time";
    public static final int    _latest_commit_params = 654521209;
    public static final String _latest_commit_params_ = "latest-commit-params";
    public static final int    _reactive_re_deploy = 98937259;
    public static final String _reactive_re_deploy_ = "reactive-re-deploy";
    public static final int    _interface_type = 1566485963;
    public static final String _interface_type_ = "interface-type";
    public static final int    _error = 126243105;
    public static final String _error_ = "error";
    public static final int    _lsa_services = 368451779;
    public static final String _lsa_services_ = "lsa-services";
    public static final int    _in_sync = 1179976821;
    public static final String _in_sync_ = "in-sync";
    public static final int    _port_turn_up = 1631223384;
    public static final String _port_turn_up_ = "port-turn-up";
    public static final int    _lsa_service = 378697498;
    public static final String _lsa_service_ = "lsa-service";
    public static final int    _result = 401396173;
    public static final String _result_ = "result";
    public static final int    _reconcile = 652237750;
    public static final String _reconcile_ = "reconcile";
    public static final int    _allowed_vlan = 2031897757;
    public static final String _allowed_vlan_ = "allowed-vlan";
    public static final int    _outformat = 2033658489;
    public static final String _outformat_ = "outformat";
    public static final int    _failed_device = 1735357793;
    public static final String _failed_device_ = "failed-device";
    public static final int    _commit_queue = 159457261;
    public static final String _commit_queue_ = "commit-queue";
    public static final int    _lock = 95781586;
    public static final String _lock_ = "lock";
    public static final int    _interface_id = 805894379;
    public static final String _interface_id_ = "interface-id";
    public static final int    _older_than = 1805080387;
    public static final String _older_than_ = "older-than";
    public static final int    _message = 1674281495;
    public static final String _message_ = "message";
    public static final int    _shallow = 848144988;
    public static final String _shallow_ = "shallow";
    public static final int    _no_out_of_sync_check = 1635449845;
    public static final String _no_out_of_sync_check_ = "no-out-of-sync-check";
    public static final int    _use_lsa = 526283796;
    public static final String _use_lsa_ = "use-lsa";
    public static final int    _purge = 521476653;
    public static final String _purge_ = "purge";
    public static final int    _diff_set = 545581821;
    public static final String _diff_set_ = "diff-set";
    public static final int    _days = 723976734;
    public static final String _days_ = "days";
    public static final int    _block_others = 1263742525;
    public static final String _block_others_ = "block-others";
    public static final int    _service_list = 1799855391;
    public static final String _service_list_ = "service-list";
    public static final int    _operation_mode = 53338359;
    public static final String _operation_mode_ = "operation-mode";
    public static final int    _log = 1285913844;
    public static final String _log_ = "log";
    public static final int    _no_of_impacted_services = 617426878;
    public static final String _no_of_impacted_services_ = "no-of-impacted-services";
    public static final int    _modified = 431631821;
    public static final String _modified_ = "modified";
    public static final int    _sync = 2047869128;
    public static final String _sync_ = "sync";
    public static final int    _dry_run = 1450488329;
    public static final String _dry_run_ = "dry-run";
    public static final int    _keep_non_service_config = 1090229776;
    public static final String _keep_non_service_config_ = "keep-non-service-config";
    public static final int    _un_deploy = 1885839871;
    public static final String _un_deploy_ = "un-deploy";
    public static final int    _no_revision_drop = 355519481;
    public static final String _no_revision_drop_ = "no-revision-drop";
    public static final int    _bypass = 1000536498;
    public static final String _bypass_ = "bypass";
    public static final int    _type = 2040883914;
    public static final String _type_ = "type";
    public static final int    _case_sync = 661138686;
    public static final String _case_sync_ = "case-sync";
    public static final int    _minutes = 1222309332;
    public static final String _minutes_ = "minutes";
    public static final int    _case_native = 386518560;
    public static final String _case_native_ = "case-native";
    public static final int    _property = 1802560321;
    public static final String _property_ = "property";
    public static final int    _weeks = 323453812;
    public static final String _weeks_ = "weeks";
    public static final int    _status = 1950810920;
    public static final String _status_ = "status";
    public static final int    _directly_modified = 1044842587;
    public static final String _directly_modified_ = "directly-modified";
    public static final int    _forward_diff_set = 236345226;
    public static final String _forward_diff_set_ = "forward-diff-set";
    public static final int    _cli = 1771971819;
    public static final String _cli_ = "cli";
    public static final int    _tag = 21925559;
    public static final String _tag_ = "tag";
    public static final int    _depth = 664239201;
    public static final String _depth_ = "depth";
    public static final int    _id = 1279252765;
    public static final String _id_ = "id";
    public static final int    _async = 1368962940;
    public static final String _async_ = "async";
    public static final int    _re_deploy_counter = 1940885313;
    public static final String _re_deploy_counter_ = "re-deploy-counter";
    public static final int    _infinity = 1378257424;
    public static final String _infinity_ = "infinity";
    public static final int    _latest_u_info = 1742023338;
    public static final String _latest_u_info_ = "latest-u-info";
    public static final int    _seconds = 1442107370;
    public static final String _seconds_ = "seconds";
    public static final int    _used_by_customer_service = 1598928830;
    public static final String _used_by_customer_service_ = "used-by-customer-service";
    public static final int    _private = 2025604902;
    public static final String _private_ = "private";
    public static final int    _check_sync = 1337316030;
    public static final String _check_sync_ = "check-sync";
    public static final int    _timeout = 614210192;
    public static final String _timeout_ = "timeout";
    public static final int    _property_list = 1324655271;
    public static final String _property_list_ = "property-list";
    public static final int    _services = 284312249;
    public static final String _services_ = "services";
    public static final int    _case_cli = 1248658608;
    public static final String _case_cli_ = "case-cli";
    public static final int    _device = 617911018;
    public static final String _device_ = "device";
    public static final int    _choice_lsa = 1376297560;
    public static final String _choice_lsa_ = "choice-lsa";
    public static final int    _reverse = 1011351090;
    public static final String _reverse_ = "reverse";
    public static final int    _sync_result = 1939464840;
    public static final String _sync_result_ = "sync-result";
    public static final int    _value = 864367181;
    public static final String _value_ = "value";
    public static final int    _local_node = 1170793894;
    public static final String _local_node_ = "local-node";
    public static final int    _data = 535242711;
    public static final String _data_ = "data";
    public static final int    _deep_check_sync = 928241134;
    public static final String _deep_check_sync_ = "deep-check-sync";
    public static final String callpoint_ncs_rfs_service_hook = "ncs-rfs-service-hook";
    public static final String servicepoint_itential_demo_port_turn_up_servicepoint = "itential-demo-port-turn-up-servicepoint";
}
